TelnetNotificationHandler
Date: 2016-06-23

org.apache.commons.net.telnet

## Interface TelnetNotificationHandler

-     public interface TelnetNotificationHandler

  The TelnetNotificationHandler interface can be used to handle notification of options negotiation commands received on a telnet session.

  The user can implement this interface and register a TelnetNotificationHandler by using the registerNotificationHandler() of TelnetClient to be notified of option negotiation commands.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `RECEIVED_COMMAND` The remote party sent a COMMAND.
    `static int` | `RECEIVED_DO` The remote party sent a DO command.
    `static int` | `RECEIVED_DONT` The remote party sent a DONT command.
    `static int` | `RECEIVED_WILL` The remote party sent a WILL command.
    `static int` | `RECEIVED_WONT` The remote party sent a WONT command.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `receivedNegotiation(int negotiation_code, int option_code)` Callback method called when TelnetClient receives an command or option negotiation command

- - ### Field Detail

    - #### RECEIVED_DO

          static final int RECEIVED_DO

      The remote party sent a DO command.
      See Also:
        Constant Field Values

    - #### RECEIVED_DONT

          static final int RECEIVED_DONT

      The remote party sent a DONT command.
      See Also:
        Constant Field Values

    - #### RECEIVED_WILL

          static final int RECEIVED_WILL

      The remote party sent a WILL command.
      See Also:
        Constant Field Values

    - #### RECEIVED_WONT

          static final int RECEIVED_WONT

      The remote party sent a WONT command.
      See Also:
        Constant Field Values

    - #### RECEIVED_COMMAND

          static final int RECEIVED_COMMAND

      The remote party sent a COMMAND.
      Since:
        2.2
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### receivedNegotiation

          void receivedNegotiation(int negotiation_code,
                                 int option_code)

      Callback method called when TelnetClient receives an command or option negotiation command
      Parameters:
        `negotiation_code` - - type of (negotiation) command received (RECEIVED_DO, RECEIVED_DONT, RECEIVED_WILL, RECEIVED_WONT, RECEIVED_COMMAND)
        `option_code` - - code of the option negotiated, or the command code itself (e.g. NOP).